> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Details

> Retrieve billing details of the user



## OpenAPI

````yaml /openapi.yaml get /api/v1/users/{user_id}/billing-details/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/users/{user_id}/billing-details/:
    get:
      tags:
        - Billing Details
      summary: Get Billing Details
      description: Retrieve billing details of the user
      operationId: users_billing_details_retrieve
      parameters:
        - in: path
          name: user_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectAPIBillingDetails'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    ConnectAPIBillingDetails:
      type: object
      description: |-
        Serializer which is used to serialize data with the possible business
        details if exist
      properties:
        country:
          type: string
          nullable: true
          maxLength: 150
        city:
          type: string
          nullable: true
          maxLength: 50
        tax_id:
          type: string
          nullable: true
          maxLength: 30
        account_type:
          $ref: '#/components/schemas/AccountTypeEnum'
        company_name:
          type: string
          nullable: true
        vat_id:
          type: string
          nullable: true
        line1:
          type: string
        postal_code:
          type: string
        first_name:
          type: string
          nullable: true
          maxLength: 150
        last_name:
          type: string
          nullable: true
          maxLength: 150
      required:
        - line1
        - postal_code
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    AccountTypeEnum:
      enum:
        - personal
        - business
      type: string
      description: |-
        * `personal` - personal
        * `business` - business
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````